URLs:
/ => Looking glass
/mappings/<dst_eid>/resolvers/<map_resolver>        => REST API
/mappings/<dst_eid>/resolvers/<map_resolver>/full   => REST API (more informations)

INSTALLATION:
=============
REQUIRE PYTHON 3.3+

1)install latest python
========================
$ wget https://www.python.org/ftp/python/3.4.2/Python-3.4.2.tgz --no-check-certificate
$ tar zxvf Python-3.4.2.tgz
$ cd Python-3.4.2
$ ./configure --enable-shared
$ make
$ make install
$ echo "/usr/local/lib" | sudo tee /etc/ld.so.conf
$ /sbin/ldconfig 


2)Install lispy (see lispy README)
==================================


3)Install Flask
================
$ pip3.4 install Flask


4)Run the server (several methods)
===================================

1st method: Using integrated Flask web server (easy way):
---------------------------------------------------------
$ python3.4 lg.py
To change the port or the bind address edit the last line in lg.py:
app.run(host='0.0.0.0', port=5000, debug=False)


2nd method: with apache and mod_wsgi
-------------------------------------
1) install apache2
Debian: $ apt-get install apache2
        $ apt-get install apache2-threaded-dev
2) install mod_wsgi
$ wget https://github.com/GrahamDumpleton/mod_wsgi/archive/4.4.10.tar.gz --no-check-certificate
    freebsd: fetch https://github.com/GrahamDumpleton/mod_wsgi/archive/4.4.10.tar.gz --no-verify-peer
$ tar zxvf 4.4.10.tar.gz
$ cd mod_wsgi-4.4.10
$ ./configure --with-python=/usr/local/bin/python3.4
$ make
$ make install
$ touch /etc/apache2/mods-available/mod_wsgi.load
$ echo "LoadModule wsgi_module /usr/lib/apache2/modules/mod_wsgi.so" > /etc/apache2/mods-available/mod_wsgi.load
$ cd /etc/apache2/mods-enabled
$ ln -s ../mods-available/mod_wsgi.load .


2)
Apache2 config example:

<VirtualHost *:80>
	 	ServerName mywebsite.com
		ServerAdmin admin@mywebsite.com
		#WSGIDaemonProcess lg user=user1 group=group1 threads=5      #user1 must have corect pythonpath to lispy
		WSGIScriptAlias / /var/www/looking_glass/lg.wsgi
		<Directory /var/www/looking_glass/>
			Order allow,deny
			Allow from all
		</Directory>
		Alias /static /var/www/looking_glass/static
		<Directory /var/www/looking_glass/static/>
			Order allow,deny
			Allow from all
		</Directory>
		ErrorLog ${APACHE_LOG_DIR}/error.log
		LogLevel warn
		CustomLog ${APACHE_LOG_DIR}/access.log combined
</VirtualHost>

3)Edit lg.wsgi with the correct paths
sys.path.append('/var/www/looking_glass/')
sys.path.append('/usr/local/lib/python3.4/dist-packages/') 
or make sure they are in PYTHONPATH

4) restart apache2


ADDITIONAL INFORMATION:
=======================

1)You can use others webservers like nginx
2)The REST API return data in JSON format
